/************************************************************************
*
* Device     : RX/RX200/RX210
*
* File Name  : hwsetup.c
*
* Abstract   : Hardware Setup file.
*
* History    : 1.00  (2010-12-17)  [Hardware Manual Revision : 0.10]
*
* NOTE       : THIS IS A TYPICAL EXAMPLE.
*
* Copyright (C) 2010 Renesas Electronics Corporation.
* and Renesas Solutions Corp.
*
************************************************************************/

#include "iodefine.h"
#include "R_PG_IRQ_PulseOut_RX210.h"

extern void HardwareSetup(void);

/*******************************************************************************
* Function Name: HardwareSetup
* Description  : Set up Hardware
* Arguments    : none
* Return Value : none
*******************************************************************************/
void HardwareSetup(void)
{
    R_PG_IO_PORT_SetPortNotAvailable();
    R_PG_Clock_Set();                   /* Setting Clock */
    R_PG_ExtInterrupt_Set_IRQ0();       /* Setting IRQ0 */
    R_PG_Timer_Set_MTU_U0_C1();         /* Setting MTU1 */
}
